/*------------------------------------*\
    #COMPONENTS.TABS
\*------------------------------------*/
/**
 * Tabs component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';
@import '../../../Public/Vendor/foundation/scss/foundation/components/tabs';

// Subelements are nested so we can trump Foundation's styles

.#{$inuit-namespace}tabs,
%#{$inuit-namespace}tabs {
    .#{$inuit-namespace}tabs__item,
    %#{$inuit-namespace}tabs__item {
        .#{$inuit-namespace}tabs__link,
        %#{$inuit-namespace}tabs__link {
            color: $frs-color-blue;
            outline: none;
            padding: frs-halve($frs-base-unit-small) $frs-base-unit-small;

            @include frs-hover {
                background: $frs-color-white;
                text-decoration: underline;
            }

            @media #{$large-up} {
                padding: frs-halve($frs-base-unit) $frs-base-unit;
            }
        }

        &.is-active {
            .#{$inuit-namespace}tabs__link,
            %#{$inuit-namespace}tabs__link {
                background-color: $frs-color-light-blue;
            }
        }

        @media #{$small-only} {
            float: none;
        }
    }
}

/*  #594 fehlerhafte Darstellung Responsive */
@media screen and (max-width:790px){
    .c-tabs .c-tabs__item .c-tabs__link {
        padding: 1.17647rem 1.8rem;
    }
    .c-tabs .c-tabs__item {
        float: left;
    }

}

@media screen and (max-width:700px){
    .c-tabs .c-tabs__item .c-tabs__link {
        padding: 1.17647rem 1.1rem;

    }
}

@media screen and (max-width:549px){
    .c-tabs .c-tabs__item {
        float: none;
    }
}
.#{$inuit-namespace}tabs__nav,
%#{$inuit-namespace}tabs__nav {
    @include grid-column(
    $columns: 24,
    $collapse: true
    );

    border: 1px solid $frs-color-light-grey;
    border-width: 1px 0;
    //margin-top: $frs-grid-unit;
    margin-top: 0;
}

.#{$inuit-namespace}tabs__content,
%#{$inuit-namespace}tabs__content {
    clear: left;
    margin-bottom: 0;
    position: relative;

    .#{$inuit-namespace}tabs__content-block {
        padding-top: $frs-base-unit-small;
        padding-bottom: 0;
    }
}

.#{$inuit-namespace}tabs__content-block,
%#{$inuit-namespace}tabs__content-block {
    &.is-active {
        display: block;
        float: none;
    }
}
